"""
Главный тип приложения
"""

from pakApp.pakIFace import IApp, IGui
from pakApp.pakGui import Gui


class App(IApp):
    """
    Интерфейс к типу приложения
    """

    def __init__(self) -> None:
        IApp.__init__(self)
        print("App.__init__()")
        self.gui: IGui = Gui()

    def run(self) -> None:
        """
        Запуск приложения в работу
        """
        print("App.run()")
        raise NotImplementedError("Not implemented")
